summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-11-09 07:31:12 +0100
committerHans de Graaff <graaff@gentoo.org>2017-11-09 07:31:12 +0100
commit66a01f5a003d24121a4ece4f4599cab1216777d4 (patch)
tree12b144425c9ed34bee5b0cb1424d20ff4203d740
parentdev-ruby/memoizable: add ruby24 (diff)
downloadgentoo-66a01f5a003d24121a4ece4f4599cab1216777d4.tar.gz
gentoo-66a01f5a003d24121a4ece4f4599cab1216777d4.tar.bz2
gentoo-66a01f5a003d24121a4ece4f4599cab1216777d4.zip
dev-ruby/twitter: add 6.2.0
Package-Manager: Portage-2.3.8, Repoman-2.3.3
-rw-r--r--dev-ruby/twitter/Manifest1
-rw-r--r--dev-ruby/twitter/twitter-6.2.0.ebuild60
2 files changed, 61 insertions, 0 deletions
diff --git a/dev-ruby/twitter/Manifest b/dev-ruby/twitter/Manifest
index 0e65e2d8d99..0698814f576 100644
--- a/dev-ruby/twitter/Manifest
+++ b/dev-ruby/twitter/Manifest
@@ -1,2 +1,3 @@
DIST twitter-5.17.0.tar.gz 525292 SHA256 176888c63997fa82954b483f107a8e279517037657ffb823bc827c29aed34d90 SHA512 5b663a5984258229c05cd0db94ba586ed9b2491dc8da32fb444ca4a03f1e2cdc65201d8a4347ea3f05620506471b73e215cbb6feef17413c197e70679e02d706 WHIRLPOOL e1e7bfb7a89fe90d6dc99b10d5540128212838761223b8e9030c3e8fed5784d90963c9e14766e03dd87426ffe63ac8e98536d35654b111d9a7540c89a48617e2
DIST twitter-6.1.0.tar.gz 1269592 SHA256 6d2dd9168a1a5c92c25aecfe76e874995bd67b1ebce3822502facacfb38d0dbf SHA512 6bcf2c92afe3018357df83cac090d58b70f16bf73c29d63100a4f40ab2dfd51b20ad5f62cfba40df1a9bbf8289fec75565d7fbfbf702e5ac90f61ce0cb8686dd WHIRLPOOL 18de978b1f342a2b4fc71fbd078d98744ba06e714c4e3dce7a1022974df38866f78d396f1562065c0b2644765876b2b2f620191d26fc16ebc85e2bd844bccf4a
+DIST twitter-6.2.0.tar.gz 519470 SHA256 9e0da0e0999c16f90bf47c585a779cc6d1bf90c76db2a3f45fb329d2e1ffcd31 SHA512 5d2bd653233f285e0c08503031317a966ec098e9b302f9e0c65bdbf4632465988b1139719dae1cabb856b08200fc7793cd341fd926981484cf416a01f309d242 WHIRLPOOL 000622f6dad23c7328b2949f33ac11db0363ca68ed11cc966f8889e40c8f412470b02b186c0d2762804272f3bb03c0e162eee35cabb40cdd5ac1cfd62542d323
diff --git a/dev-ruby/twitter/twitter-6.2.0.ebuild b/dev-ruby/twitter/twitter-6.2.0.ebuild
new file mode 100644
index 00000000000..bcac905abbf
--- /dev/null
+++ b/dev-ruby/twitter/twitter-6.2.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="twitter.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby wrapper around the Twitter API"
+HOMEPAGE="https://sferik.github.com/twitter/"
+SRC_URI="https://github.com/sferik/twitter/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="6"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.3
+ >=dev-ruby/buftok-0.2.0
+ >=dev-ruby/equalizer-0.0.11
+ =dev-ruby/equalizer-0.0*
+ dev-ruby/http:3
+ dev-ruby/http-form_data:2
+ >=dev-ruby/http_parser_rb-0.6.0
+ >=dev-ruby/memoizable-0.4.2
+ =dev-ruby/multipart-post-2*
+ >=dev-ruby/naught-1.1
+ =dev-ruby/simple_oauth-0.3*
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/rspec:3
+ dev-ruby/webmock:3
+ >=dev-ruby/timecop-0.6.1
+ )
+ doc? ( dev-ruby/yard )"
+
+all_ruby_prepare() {
+ #sed -i -e '/equalizer/ s/0.0.10/~>0.0.10/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+# rm Gemfile || die
+ sed -i -e '/[Bb]undler/d' Rakefile || die "Unable to remove bundler code."
+
+ sed -i -e '/simplecov/,/^end/ s:^:#:' \
+ -e '1igem "webmock", "~>3.0"' spec/helper.rb || die
+
+ # Avoid a spec that fails due to changes in dependencies.
+ sed -i -e '/#reverse_token/,/^ end/ s:^:#:' \
+ spec/twitter/rest/oauth_spec.rb
+}
+
+each_ruby_test() {
+ CI=true RSPEC_VERSION=3 ruby-ng_rspec || die
+}